// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class SetSymbolRequest extends ValidatedRequest {
    securityId;
    symbol;
    constructor({ securityId, symbol }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            symbol: FormatValidation.checkString({ emptyCheck: true }),
        });
        this.securityId = securityId;
        this.symbol = symbol;
    }
}
